/*
 * Backpack - Skyscanner's Design System
 *
 * Copyright 2016 Skyscanner Ltd
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import { themeAttributes as calendarAttributes } from 'bpk-component-calendar-css';
import { themeAttributes as modalAttributes } from 'bpk-component-modal-css';
import { themeAttributes as popoverAttributes } from 'bpk-component-popover-css';

export default [
  ...calendarAttributes,
  ...popoverAttributes,
  ...modalAttributes,
].filter(
  (attribute, index, attributes) => attributes.indexOf(attribute) === index,
);
